import { ExceptionOptionType as __ExceptionOptionType } from "@smithy/smithy-client";
import { StreamingBlobTypes } from "@smithy/types";
import { SageMakerGeospatialServiceException as __BaseException } from "./SageMakerGeospatialServiceException";
export declare class AccessDeniedException extends __BaseException {
  readonly name: "AccessDeniedException";
  readonly $fault: "client";
  Message: string | undefined;
  constructor(
    opts: __ExceptionOptionType<AccessDeniedException, __BaseException>
  );
}
export declare const AlgorithmNameCloudRemoval: {
  readonly INTERPOLATION: "INTERPOLATION";
};
export type AlgorithmNameCloudRemoval =
  (typeof AlgorithmNameCloudRemoval)[keyof typeof AlgorithmNameCloudRemoval];
export declare const AlgorithmNameGeoMosaic: {
  readonly AVERAGE: "AVERAGE";
  readonly BILINEAR: "BILINEAR";
  readonly CUBIC: "CUBIC";
  readonly CUBICSPLINE: "CUBICSPLINE";
  readonly LANCZOS: "LANCZOS";
  readonly MAX: "MAX";
  readonly MED: "MED";
  readonly MIN: "MIN";
  readonly MODE: "MODE";
  readonly NEAR: "NEAR";
  readonly Q1: "Q1";
  readonly Q3: "Q3";
  readonly RMS: "RMS";
  readonly SUM: "SUM";
};
export type AlgorithmNameGeoMosaic =
  (typeof AlgorithmNameGeoMosaic)[keyof typeof AlgorithmNameGeoMosaic];
export declare const AlgorithmNameResampling: {
  readonly AVERAGE: "AVERAGE";
  readonly BILINEAR: "BILINEAR";
  readonly CUBIC: "CUBIC";
  readonly CUBICSPLINE: "CUBICSPLINE";
  readonly LANCZOS: "LANCZOS";
  readonly MAX: "MAX";
  readonly MED: "MED";
  readonly MIN: "MIN";
  readonly MODE: "MODE";
  readonly NEAR: "NEAR";
  readonly Q1: "Q1";
  readonly Q3: "Q3";
  readonly RMS: "RMS";
  readonly SUM: "SUM";
};
export type AlgorithmNameResampling =
  (typeof AlgorithmNameResampling)[keyof typeof AlgorithmNameResampling];
export interface MultiPolygonGeometryInput {
  Coordinates: number[][][][] | undefined;
}
export interface PolygonGeometryInput {
  Coordinates: number[][][] | undefined;
}
export type AreaOfInterestGeometry =
  | AreaOfInterestGeometry.MultiPolygonGeometryMember
  | AreaOfInterestGeometry.PolygonGeometryMember
  | AreaOfInterestGeometry.$UnknownMember;
export declare namespace AreaOfInterestGeometry {
  interface PolygonGeometryMember {
    PolygonGeometry: PolygonGeometryInput;
    MultiPolygonGeometry?: never;
    $unknown?: never;
  }
  interface MultiPolygonGeometryMember {
    PolygonGeometry?: never;
    MultiPolygonGeometry: MultiPolygonGeometryInput;
    $unknown?: never;
  }
  interface $UnknownMember {
    PolygonGeometry?: never;
    MultiPolygonGeometry?: never;
    $unknown: [string, any];
  }
  interface Visitor<T> {
    PolygonGeometry: (value: PolygonGeometryInput) => T;
    MultiPolygonGeometry: (value: MultiPolygonGeometryInput) => T;
    _: (name: string, value: any) => T;
  }
  const visit: <T>(value: AreaOfInterestGeometry, visitor: Visitor<T>) => T;
}
export type AreaOfInterest =
  | AreaOfInterest.AreaOfInterestGeometryMember
  | AreaOfInterest.$UnknownMember;
export declare namespace AreaOfInterest {
  interface AreaOfInterestGeometryMember {
    AreaOfInterestGeometry: AreaOfInterestGeometry;
    $unknown?: never;
  }
  interface $UnknownMember {
    AreaOfInterestGeometry?: never;
    $unknown: [string, any];
  }
  interface Visitor<T> {
    AreaOfInterestGeometry: (value: AreaOfInterestGeometry) => T;
    _: (name: string, value: any) => T;
  }
  const visit: <T>(value: AreaOfInterest, visitor: Visitor<T>) => T;
}
export interface AssetValue {
  Href?: string;
}
export declare const OutputType: {
  readonly FLOAT32: "FLOAT32";
  readonly FLOAT64: "FLOAT64";
  readonly INT16: "INT16";
  readonly INT32: "INT32";
  readonly UINT16: "UINT16";
};
export type OutputType = (typeof OutputType)[keyof typeof OutputType];
export interface Operation {
  Name: string | undefined;
  Equation: string | undefined;
  OutputType?: OutputType;
}
export interface CustomIndicesInput {
  Operations?: Operation[];
}
export interface BandMathConfigInput {
  PredefinedIndices?: string[];
  CustomIndices?: CustomIndicesInput;
}
export interface CloudMaskingConfigInput {}
export interface CloudRemovalConfigInput {
  AlgorithmName?: AlgorithmNameCloudRemoval;
  InterpolationValue?: string;
  TargetBands?: string[];
}
export declare const ComparisonOperator: {
  readonly EQUALS: "EQUALS";
  readonly NOT_EQUALS: "NOT_EQUALS";
  readonly STARTS_WITH: "STARTS_WITH";
};
export type ComparisonOperator =
  (typeof ComparisonOperator)[keyof typeof ComparisonOperator];
export declare class ConflictException extends __BaseException {
  readonly name: "ConflictException";
  readonly $fault: "client";
  Message: string | undefined;
  ResourceId?: string;
  constructor(opts: __ExceptionOptionType<ConflictException, __BaseException>);
}
export interface Filter {
  Name: string | undefined;
  Type: string | undefined;
  Minimum?: number;
  Maximum?: number;
}
export declare const DataCollectionType: {
  readonly PREMIUM: "PREMIUM";
  readonly PUBLIC: "PUBLIC";
  readonly USER: "USER";
};
export type DataCollectionType =
  (typeof DataCollectionType)[keyof typeof DataCollectionType];
export interface RasterDataCollectionMetadata {
  Name: string | undefined;
  Arn: string | undefined;
  Type: DataCollectionType | undefined;
  Description: string | undefined;
  DescriptionPageUrl?: string;
  SupportedFilters: Filter[] | undefined;
  Tags?: Record<string, string>;
}
export interface DeleteEarthObservationJobInput {
  Arn: string | undefined;
}
export interface DeleteEarthObservationJobOutput {}
export declare class InternalServerException extends __BaseException {
  readonly name: "InternalServerException";
  readonly $fault: "server";
  Message: string | undefined;
  ResourceId?: string;
  constructor(
    opts: __ExceptionOptionType<InternalServerException, __BaseException>
  );
}
export declare class ResourceNotFoundException extends __BaseException {
  readonly name: "ResourceNotFoundException";
  readonly $fault: "client";
  Message: string | undefined;
  ResourceId?: string;
  constructor(
    opts: __ExceptionOptionType<ResourceNotFoundException, __BaseException>
  );
}
export declare class ThrottlingException extends __BaseException {
  readonly name: "ThrottlingException";
  readonly $fault: "client";
  Message: string | undefined;
  ResourceId?: string;
  constructor(
    opts: __ExceptionOptionType<ThrottlingException, __BaseException>
  );
}
export declare class ValidationException extends __BaseException {
  readonly name: "ValidationException";
  readonly $fault: "client";
  Message: string | undefined;
  ResourceId?: string;
  constructor(
    opts: __ExceptionOptionType<ValidationException, __BaseException>
  );
}
export interface DeleteVectorEnrichmentJobInput {
  Arn: string | undefined;
}
export interface DeleteVectorEnrichmentJobOutput {}
export interface ExportS3DataInput {
  S3Uri: string | undefined;
  KmsKeyId?: string;
}
export interface OutputConfigInput {
  S3Data: ExportS3DataInput | undefined;
}
export interface ExportEarthObservationJobInput {
  Arn: string | undefined;
  ClientToken?: string;
  ExecutionRoleArn: string | undefined;
  OutputConfig: OutputConfigInput | undefined;
  ExportSourceImages?: boolean;
}
export declare const EarthObservationJobExportStatus: {
  readonly FAILED: "FAILED";
  readonly IN_PROGRESS: "IN_PROGRESS";
  readonly SUCCEEDED: "SUCCEEDED";
};
export type EarthObservationJobExportStatus =
  (typeof EarthObservationJobExportStatus)[keyof typeof EarthObservationJobExportStatus];
export interface ExportEarthObservationJobOutput {
  Arn: string | undefined;
  CreationTime: Date | undefined;
  ExportStatus: EarthObservationJobExportStatus | undefined;
  ExecutionRoleArn: string | undefined;
  OutputConfig: OutputConfigInput | undefined;
  ExportSourceImages?: boolean;
}
export declare class ServiceQuotaExceededException extends __BaseException {
  readonly name: "ServiceQuotaExceededException";
  readonly $fault: "client";
  Message: string | undefined;
  ResourceId?: string;
  constructor(
    opts: __ExceptionOptionType<ServiceQuotaExceededException, __BaseException>
  );
}
export interface GetEarthObservationJobInput {
  Arn: string | undefined;
}
export declare const EarthObservationJobErrorType: {
  readonly CLIENT_ERROR: "CLIENT_ERROR";
  readonly SERVER_ERROR: "SERVER_ERROR";
};
export type EarthObservationJobErrorType =
  (typeof EarthObservationJobErrorType)[keyof typeof EarthObservationJobErrorType];
export interface EarthObservationJobErrorDetails {
  Type?: EarthObservationJobErrorType;
  Message?: string;
}
export declare const ExportErrorType: {
  readonly CLIENT_ERROR: "CLIENT_ERROR";
  readonly SERVER_ERROR: "SERVER_ERROR";
};
export type ExportErrorType =
  (typeof ExportErrorType)[keyof typeof ExportErrorType];
export interface ExportErrorDetailsOutput {
  Type?: ExportErrorType;
  Message?: string;
}
export interface ExportErrorDetails {
  ExportResults?: ExportErrorDetailsOutput;
  ExportSourceImages?: ExportErrorDetailsOutput;
}
export declare const LogicalOperator: {
  readonly AND: "AND";
};
export type LogicalOperator =
  (typeof LogicalOperator)[keyof typeof LogicalOperator];
export interface EoCloudCoverInput {
  LowerBound: number | undefined;
  UpperBound: number | undefined;
}
export interface LandsatCloudCoverLandInput {
  LowerBound: number | undefined;
  UpperBound: number | undefined;
}
export interface PlatformInput {
  Value: string | undefined;
  ComparisonOperator?: ComparisonOperator;
}
export interface ViewOffNadirInput {
  LowerBound: number | undefined;
  UpperBound: number | undefined;
}
export interface ViewSunAzimuthInput {
  LowerBound: number | undefined;
  UpperBound: number | undefined;
}
export interface ViewSunElevationInput {
  LowerBound: number | undefined;
  UpperBound: number | undefined;
}
export type Property =
  | Property.EoCloudCoverMember
  | Property.LandsatCloudCoverLandMember
  | Property.PlatformMember
  | Property.ViewOffNadirMember
  | Property.ViewSunAzimuthMember
  | Property.ViewSunElevationMember
  | Property.$UnknownMember;
export declare namespace Property {
  interface EoCloudCoverMember {
    EoCloudCover: EoCloudCoverInput;
    ViewOffNadir?: never;
    ViewSunAzimuth?: never;
    ViewSunElevation?: never;
    Platform?: never;
    LandsatCloudCoverLand?: never;
    $unknown?: never;
  }
  interface ViewOffNadirMember {
    EoCloudCover?: never;
    ViewOffNadir: ViewOffNadirInput;
    ViewSunAzimuth?: never;
    ViewSunElevation?: never;
    Platform?: never;
    LandsatCloudCoverLand?: never;
    $unknown?: never;
  }
  interface ViewSunAzimuthMember {
    EoCloudCover?: never;
    ViewOffNadir?: never;
    ViewSunAzimuth: ViewSunAzimuthInput;
    ViewSunElevation?: never;
    Platform?: never;
    LandsatCloudCoverLand?: never;
    $unknown?: never;
  }
  interface ViewSunElevationMember {
    EoCloudCover?: never;
    ViewOffNadir?: never;
    ViewSunAzimuth?: never;
    ViewSunElevation: ViewSunElevationInput;
    Platform?: never;
    LandsatCloudCoverLand?: never;
    $unknown?: never;
  }
  interface PlatformMember {
    EoCloudCover?: never;
    ViewOffNadir?: never;
    ViewSunAzimuth?: never;
    ViewSunElevation?: never;
    Platform: PlatformInput;
    LandsatCloudCoverLand?: never;
    $unknown?: never;
  }
  interface LandsatCloudCoverLandMember {
    EoCloudCover?: never;
    ViewOffNadir?: never;
    ViewSunAzimuth?: never;
    ViewSunElevation?: never;
    Platform?: never;
    LandsatCloudCoverLand: LandsatCloudCoverLandInput;
    $unknown?: never;
  }
  interface $UnknownMember {
    EoCloudCover?: never;
    ViewOffNadir?: never;
    ViewSunAzimuth?: never;
    ViewSunElevation?: never;
    Platform?: never;
    LandsatCloudCoverLand?: never;
    $unknown: [string, any];
  }
  interface Visitor<T> {
    EoCloudCover: (value: EoCloudCoverInput) => T;
    ViewOffNadir: (value: ViewOffNadirInput) => T;
    ViewSunAzimuth: (value: ViewSunAzimuthInput) => T;
    ViewSunElevation: (value: ViewSunElevationInput) => T;
    Platform: (value: PlatformInput) => T;
    LandsatCloudCoverLand: (value: LandsatCloudCoverLandInput) => T;
    _: (name: string, value: any) => T;
  }
  const visit: <T>(value: Property, visitor: Visitor<T>) => T;
}
export interface PropertyFilter {
  Property: Property | undefined;
}
export interface PropertyFilters {
  Properties?: PropertyFilter[];
  LogicalOperator?: LogicalOperator;
}
export interface TimeRangeFilterOutput {
  StartTime: Date | undefined;
  EndTime: Date | undefined;
}
export interface RasterDataCollectionQueryOutput {
  RasterDataCollectionArn: string | undefined;
  RasterDataCollectionName: string | undefined;
  TimeRangeFilter: TimeRangeFilterOutput | undefined;
  AreaOfInterest?: AreaOfInterest;
  PropertyFilters?: PropertyFilters;
}
export interface InputConfigOutput {
  PreviousEarthObservationJobArn?: string;
  RasterDataCollectionQuery?: RasterDataCollectionQueryOutput;
}
export interface GeoMosaicConfigInput {
  AlgorithmName?: AlgorithmNameGeoMosaic;
  TargetBands?: string[];
}
export interface LandCoverSegmentationConfigInput {}
export declare const Unit: {
  readonly METERS: "METERS";
};
export type Unit = (typeof Unit)[keyof typeof Unit];
export interface UserDefined {
  Value: number | undefined;
  Unit: Unit | undefined;
}
export interface OutputResolutionResamplingInput {
  UserDefined: UserDefined | undefined;
}
export interface ResamplingConfigInput {
  OutputResolution: OutputResolutionResamplingInput | undefined;
  AlgorithmName?: AlgorithmNameResampling;
  TargetBands?: string[];
}
export declare const PredefinedResolution: {
  readonly AVERAGE: "AVERAGE";
  readonly HIGHEST: "HIGHEST";
  readonly LOWEST: "LOWEST";
};
export type PredefinedResolution =
  (typeof PredefinedResolution)[keyof typeof PredefinedResolution];
export interface OutputResolutionStackInput {
  Predefined?: PredefinedResolution;
  UserDefined?: UserDefined;
}
export interface StackConfigInput {
  OutputResolution?: OutputResolutionStackInput;
  TargetBands?: string[];
}
export declare const GroupBy: {
  readonly ALL: "ALL";
  readonly YEARLY: "YEARLY";
};
export type GroupBy = (typeof GroupBy)[keyof typeof GroupBy];
export declare const TemporalStatistics: {
  readonly MEAN: "MEAN";
  readonly MEDIAN: "MEDIAN";
  readonly STANDARD_DEVIATION: "STANDARD_DEVIATION";
};
export type TemporalStatistics =
  (typeof TemporalStatistics)[keyof typeof TemporalStatistics];
export interface TemporalStatisticsConfigInput {
  GroupBy?: GroupBy;
  Statistics: TemporalStatistics[] | undefined;
  TargetBands?: string[];
}
export declare const ZonalStatistics: {
  readonly MAX: "MAX";
  readonly MEAN: "MEAN";
  readonly MEDIAN: "MEDIAN";
  readonly MIN: "MIN";
  readonly STANDARD_DEVIATION: "STANDARD_DEVIATION";
  readonly SUM: "SUM";
};
export type ZonalStatistics =
  (typeof ZonalStatistics)[keyof typeof ZonalStatistics];
export interface ZonalStatisticsConfigInput {
  ZoneS3Path: string | undefined;
  Statistics: ZonalStatistics[] | undefined;
  TargetBands?: string[];
  ZoneS3PathKmsKeyId?: string;
}
export type JobConfigInput =
  | JobConfigInput.BandMathConfigMember
  | JobConfigInput.CloudMaskingConfigMember
  | JobConfigInput.CloudRemovalConfigMember
  | JobConfigInput.GeoMosaicConfigMember
  | JobConfigInput.LandCoverSegmentationConfigMember
  | JobConfigInput.ResamplingConfigMember
  | JobConfigInput.StackConfigMember
  | JobConfigInput.TemporalStatisticsConfigMember
  | JobConfigInput.ZonalStatisticsConfigMember
  | JobConfigInput.$UnknownMember;
export declare namespace JobConfigInput {
  interface BandMathConfigMember {
    BandMathConfig: BandMathConfigInput;
    ResamplingConfig?: never;
    TemporalStatisticsConfig?: never;
    CloudRemovalConfig?: never;
    ZonalStatisticsConfig?: never;
    GeoMosaicConfig?: never;
    StackConfig?: never;
    CloudMaskingConfig?: never;
    LandCoverSegmentationConfig?: never;
    $unknown?: never;
  }
  interface ResamplingConfigMember {
    BandMathConfig?: never;
    ResamplingConfig: ResamplingConfigInput;
    TemporalStatisticsConfig?: never;
    CloudRemovalConfig?: never;
    ZonalStatisticsConfig?: never;
    GeoMosaicConfig?: never;
    StackConfig?: never;
    CloudMaskingConfig?: never;
    LandCoverSegmentationConfig?: never;
    $unknown?: never;
  }
  interface TemporalStatisticsConfigMember {
    BandMathConfig?: never;
    ResamplingConfig?: never;
    TemporalStatisticsConfig: TemporalStatisticsConfigInput;
    CloudRemovalConfig?: never;
    ZonalStatisticsConfig?: never;
    GeoMosaicConfig?: never;
    StackConfig?: never;
    CloudMaskingConfig?: never;
    LandCoverSegmentationConfig?: never;
    $unknown?: never;
  }
  interface CloudRemovalConfigMember {
    BandMathConfig?: never;
    ResamplingConfig?: never;
    TemporalStatisticsConfig?: never;
    CloudRemovalConfig: CloudRemovalConfigInput;
    ZonalStatisticsConfig?: never;
    GeoMosaicConfig?: never;
    StackConfig?: never;
    CloudMaskingConfig?: never;
    LandCoverSegmentationConfig?: never;
    $unknown?: never;
  }
  interface ZonalStatisticsConfigMember {
    BandMathConfig?: never;
    ResamplingConfig?: never;
    TemporalStatisticsConfig?: never;
    CloudRemovalConfig?: never;
    ZonalStatisticsConfig: ZonalStatisticsConfigInput;
    GeoMosaicConfig?: never;
    StackConfig?: never;
    CloudMaskingConfig?: never;
    LandCoverSegmentationConfig?: never;
    $unknown?: never;
  }
  interface GeoMosaicConfigMember {
    BandMathConfig?: never;
    ResamplingConfig?: never;
    TemporalStatisticsConfig?: never;
    CloudRemovalConfig?: never;
    ZonalStatisticsConfig?: never;
    GeoMosaicConfig: GeoMosaicConfigInput;
    StackConfig?: never;
    CloudMaskingConfig?: never;
    LandCoverSegmentationConfig?: never;
    $unknown?: never;
  }
  interface StackConfigMember {
    BandMathConfig?: never;
    ResamplingConfig?: never;
    TemporalStatisticsConfig?: never;
    CloudRemovalConfig?: never;
    ZonalStatisticsConfig?: never;
    GeoMosaicConfig?: never;
    StackConfig: StackConfigInput;
    CloudMaskingConfig?: never;
    LandCoverSegmentationConfig?: never;
    $unknown?: never;
  }
  interface CloudMaskingConfigMember {
    BandMathConfig?: never;
    ResamplingConfig?: never;
    TemporalStatisticsConfig?: never;
    CloudRemovalConfig?: never;
    ZonalStatisticsConfig?: never;
    GeoMosaicConfig?: never;
    StackConfig?: never;
    CloudMaskingConfig: CloudMaskingConfigInput;
    LandCoverSegmentationConfig?: never;
    $unknown?: never;
  }
  interface LandCoverSegmentationConfigMember {
    BandMathConfig?: never;
    ResamplingConfig?: never;
    TemporalStatisticsConfig?: never;
    CloudRemovalConfig?: never;
    ZonalStatisticsConfig?: never;
    GeoMosaicConfig?: never;
    StackConfig?: never;
    CloudMaskingConfig?: never;
    LandCoverSegmentationConfig: LandCoverSegmentationConfigInput;
    $unknown?: never;
  }
  interface $UnknownMember {
    BandMathConfig?: never;
    ResamplingConfig?: never;
    TemporalStatisticsConfig?: never;
    CloudRemovalConfig?: never;
    ZonalStatisticsConfig?: never;
    GeoMosaicConfig?: never;
    StackConfig?: never;
    CloudMaskingConfig?: never;
    LandCoverSegmentationConfig?: never;
    $unknown: [string, any];
  }
  interface Visitor<T> {
    BandMathConfig: (value: BandMathConfigInput) => T;
    ResamplingConfig: (value: ResamplingConfigInput) => T;
    TemporalStatisticsConfig: (value: TemporalStatisticsConfigInput) => T;
    CloudRemovalConfig: (value: CloudRemovalConfigInput) => T;
    ZonalStatisticsConfig: (value: ZonalStatisticsConfigInput) => T;
    GeoMosaicConfig: (value: GeoMosaicConfigInput) => T;
    StackConfig: (value: StackConfigInput) => T;
    CloudMaskingConfig: (value: CloudMaskingConfigInput) => T;
    LandCoverSegmentationConfig: (value: LandCoverSegmentationConfigInput) => T;
    _: (name: string, value: any) => T;
  }
  const visit: <T>(value: JobConfigInput, visitor: Visitor<T>) => T;
}
export interface OutputBand {
  BandName: string | undefined;
  OutputDataType: OutputType | undefined;
}
export declare const EarthObservationJobStatus: {
  readonly COMPLETED: "COMPLETED";
  readonly DELETED: "DELETED";
  readonly DELETING: "DELETING";
  readonly FAILED: "FAILED";
  readonly INITIALIZING: "INITIALIZING";
  readonly IN_PROGRESS: "IN_PROGRESS";
  readonly STOPPED: "STOPPED";
  readonly STOPPING: "STOPPING";
};
export type EarthObservationJobStatus =
  (typeof EarthObservationJobStatus)[keyof typeof EarthObservationJobStatus];
export interface GetEarthObservationJobOutput {
  Arn: string | undefined;
  Name: string | undefined;
  CreationTime: Date | undefined;
  DurationInSeconds: number | undefined;
  Status: EarthObservationJobStatus | undefined;
  KmsKeyId?: string;
  InputConfig: InputConfigOutput | undefined;
  JobConfig: JobConfigInput | undefined;
  OutputBands?: OutputBand[];
  ExecutionRoleArn?: string;
  ErrorDetails?: EarthObservationJobErrorDetails;
  ExportStatus?: EarthObservationJobExportStatus;
  ExportErrorDetails?: ExportErrorDetails;
  Tags?: Record<string, string>;
}
export declare const TargetOptions: {
  readonly INPUT: "INPUT";
  readonly OUTPUT: "OUTPUT";
};
export type TargetOptions = (typeof TargetOptions)[keyof typeof TargetOptions];
export interface GetTileInput {
  x: number | undefined;
  y: number | undefined;
  z: number | undefined;
  ImageAssets: string[] | undefined;
  Target: TargetOptions | undefined;
  Arn: string | undefined;
  ImageMask?: boolean;
  OutputFormat?: string;
  TimeRangeFilter?: string;
  PropertyFilters?: string;
  OutputDataType?: OutputType;
  ExecutionRoleArn?: string;
}
export interface GetTileOutput {
  BinaryFile?: StreamingBlobTypes;
}
export declare const SortOrder: {
  readonly ASCENDING: "ASCENDING";
  readonly DESCENDING: "DESCENDING";
};
export type SortOrder = (typeof SortOrder)[keyof typeof SortOrder];
export interface ListEarthObservationJobInput {
  StatusEquals?: EarthObservationJobStatus;
  SortOrder?: SortOrder;
  SortBy?: string;
  NextToken?: string;
  MaxResults?: number;
}
export interface ListEarthObservationJobOutputConfig {
  Arn: string | undefined;
  Name: string | undefined;
  CreationTime: Date | undefined;
  DurationInSeconds: number | undefined;
  Status: EarthObservationJobStatus | undefined;
  OperationType: string | undefined;
  Tags?: Record<string, string>;
}
export interface ListEarthObservationJobOutput {
  EarthObservationJobSummaries:
    | ListEarthObservationJobOutputConfig[]
    | undefined;
  NextToken?: string;
}
export interface TimeRangeFilterInput {
  StartTime: Date | undefined;
  EndTime: Date | undefined;
}
export interface RasterDataCollectionQueryInput {
  RasterDataCollectionArn: string | undefined;
  TimeRangeFilter: TimeRangeFilterInput | undefined;
  AreaOfInterest?: AreaOfInterest;
  PropertyFilters?: PropertyFilters;
}
export interface InputConfigInput {
  PreviousEarthObservationJobArn?: string;
  RasterDataCollectionQuery?: RasterDataCollectionQueryInput;
}
export interface StartEarthObservationJobInput {
  Name: string | undefined;
  ClientToken?: string;
  KmsKeyId?: string;
  InputConfig: InputConfigInput | undefined;
  JobConfig: JobConfigInput | undefined;
  ExecutionRoleArn: string | undefined;
  Tags?: Record<string, string>;
}
export interface StartEarthObservationJobOutput {
  Name: string | undefined;
  Arn: string | undefined;
  CreationTime: Date | undefined;
  DurationInSeconds: number | undefined;
  Status: EarthObservationJobStatus | undefined;
  KmsKeyId?: string;
  InputConfig?: InputConfigOutput;
  JobConfig: JobConfigInput | undefined;
  ExecutionRoleArn: string | undefined;
  Tags?: Record<string, string>;
}
export interface StopEarthObservationJobInput {
  Arn: string | undefined;
}
export interface StopEarthObservationJobOutput {}
export interface VectorEnrichmentJobS3Data {
  S3Uri: string | undefined;
  KmsKeyId?: string;
}
export interface ExportVectorEnrichmentJobOutputConfig {
  S3Data: VectorEnrichmentJobS3Data | undefined;
}
export interface ExportVectorEnrichmentJobInput {
  Arn: string | undefined;
  ClientToken?: string;
  ExecutionRoleArn: string | undefined;
  OutputConfig: ExportVectorEnrichmentJobOutputConfig | undefined;
}
export declare const VectorEnrichmentJobExportStatus: {
  readonly FAILED: "FAILED";
  readonly IN_PROGRESS: "IN_PROGRESS";
  readonly SUCCEEDED: "SUCCEEDED";
};
export type VectorEnrichmentJobExportStatus =
  (typeof VectorEnrichmentJobExportStatus)[keyof typeof VectorEnrichmentJobExportStatus];
export interface ExportVectorEnrichmentJobOutput {
  Arn: string | undefined;
  CreationTime: Date | undefined;
  ExecutionRoleArn: string | undefined;
  ExportStatus: VectorEnrichmentJobExportStatus | undefined;
  OutputConfig: ExportVectorEnrichmentJobOutputConfig | undefined;
}
export interface Geometry {
  Type: string | undefined;
  Coordinates: number[][][] | undefined;
}
export interface GetRasterDataCollectionInput {
  Arn: string | undefined;
}
export interface GetRasterDataCollectionOutput {
  Name: string | undefined;
  Arn: string | undefined;
  Type: DataCollectionType | undefined;
  Description: string | undefined;
  DescriptionPageUrl: string | undefined;
  SupportedFilters: Filter[] | undefined;
  ImageSourceBands: string[] | undefined;
  Tags?: Record<string, string>;
}
export interface GetVectorEnrichmentJobInput {
  Arn: string | undefined;
}
export declare const VectorEnrichmentJobErrorType: {
  readonly CLIENT_ERROR: "CLIENT_ERROR";
  readonly SERVER_ERROR: "SERVER_ERROR";
};
export type VectorEnrichmentJobErrorType =
  (typeof VectorEnrichmentJobErrorType)[keyof typeof VectorEnrichmentJobErrorType];
export interface VectorEnrichmentJobErrorDetails {
  ErrorType?: VectorEnrichmentJobErrorType;
  ErrorMessage?: string;
}
export declare const VectorEnrichmentJobExportErrorType: {
  readonly CLIENT_ERROR: "CLIENT_ERROR";
  readonly SERVER_ERROR: "SERVER_ERROR";
};
export type VectorEnrichmentJobExportErrorType =
  (typeof VectorEnrichmentJobExportErrorType)[keyof typeof VectorEnrichmentJobExportErrorType];
export interface VectorEnrichmentJobExportErrorDetails {
  Type?: VectorEnrichmentJobExportErrorType;
  Message?: string;
}
export type VectorEnrichmentJobDataSourceConfigInput =
  | VectorEnrichmentJobDataSourceConfigInput.S3DataMember
  | VectorEnrichmentJobDataSourceConfigInput.$UnknownMember;
export declare namespace VectorEnrichmentJobDataSourceConfigInput {
  interface S3DataMember {
    S3Data: VectorEnrichmentJobS3Data;
    $unknown?: never;
  }
  interface $UnknownMember {
    S3Data?: never;
    $unknown: [string, any];
  }
  interface Visitor<T> {
    S3Data: (value: VectorEnrichmentJobS3Data) => T;
    _: (name: string, value: any) => T;
  }
  const visit: <T>(
    value: VectorEnrichmentJobDataSourceConfigInput,
    visitor: Visitor<T>
  ) => T;
}
export declare const VectorEnrichmentJobDocumentType: {
  readonly CSV: "CSV";
};
export type VectorEnrichmentJobDocumentType =
  (typeof VectorEnrichmentJobDocumentType)[keyof typeof VectorEnrichmentJobDocumentType];
export interface VectorEnrichmentJobInputConfig {
  DocumentType: VectorEnrichmentJobDocumentType | undefined;
  DataSourceConfig: VectorEnrichmentJobDataSourceConfigInput | undefined;
}
export interface MapMatchingConfig {
  IdAttributeName: string | undefined;
  YAttributeName: string | undefined;
  XAttributeName: string | undefined;
  TimestampAttributeName: string | undefined;
}
export interface ReverseGeocodingConfig {
  YAttributeName: string | undefined;
  XAttributeName: string | undefined;
}
export type VectorEnrichmentJobConfig =
  | VectorEnrichmentJobConfig.MapMatchingConfigMember
  | VectorEnrichmentJobConfig.ReverseGeocodingConfigMember
  | VectorEnrichmentJobConfig.$UnknownMember;
export declare namespace VectorEnrichmentJobConfig {
  interface ReverseGeocodingConfigMember {
    ReverseGeocodingConfig: ReverseGeocodingConfig;
    MapMatchingConfig?: never;
    $unknown?: never;
  }
  interface MapMatchingConfigMember {
    ReverseGeocodingConfig?: never;
    MapMatchingConfig: MapMatchingConfig;
    $unknown?: never;
  }
  interface $UnknownMember {
    ReverseGeocodingConfig?: never;
    MapMatchingConfig?: never;
    $unknown: [string, any];
  }
  interface Visitor<T> {
    ReverseGeocodingConfig: (value: ReverseGeocodingConfig) => T;
    MapMatchingConfig: (value: MapMatchingConfig) => T;
    _: (name: string, value: any) => T;
  }
  const visit: <T>(value: VectorEnrichmentJobConfig, visitor: Visitor<T>) => T;
}
export declare const VectorEnrichmentJobStatus: {
  readonly COMPLETED: "COMPLETED";
  readonly DELETED: "DELETED";
  readonly DELETING: "DELETING";
  readonly FAILED: "FAILED";
  readonly INITIALIZING: "INITIALIZING";
  readonly IN_PROGRESS: "IN_PROGRESS";
  readonly STOPPED: "STOPPED";
  readonly STOPPING: "STOPPING";
};
export type VectorEnrichmentJobStatus =
  (typeof VectorEnrichmentJobStatus)[keyof typeof VectorEnrichmentJobStatus];
export declare const VectorEnrichmentJobType: {
  readonly MAP_MATCHING: "MAP_MATCHING";
  readonly REVERSE_GEOCODING: "REVERSE_GEOCODING";
};
export type VectorEnrichmentJobType =
  (typeof VectorEnrichmentJobType)[keyof typeof VectorEnrichmentJobType];
export interface GetVectorEnrichmentJobOutput {
  Arn: string | undefined;
  Type: VectorEnrichmentJobType | undefined;
  Name: string | undefined;
  CreationTime: Date | undefined;
  DurationInSeconds: number | undefined;
  Status: VectorEnrichmentJobStatus | undefined;
  KmsKeyId?: string;
  InputConfig: VectorEnrichmentJobInputConfig | undefined;
  JobConfig: VectorEnrichmentJobConfig | undefined;
  ExecutionRoleArn: string | undefined;
  ErrorDetails?: VectorEnrichmentJobErrorDetails;
  ExportStatus?: VectorEnrichmentJobExportStatus;
  ExportErrorDetails?: VectorEnrichmentJobExportErrorDetails;
  Tags?: Record<string, string>;
}
export interface Properties {
  EoCloudCover?: number;
  ViewOffNadir?: number;
  ViewSunAzimuth?: number;
  ViewSunElevation?: number;
  Platform?: string;
  LandsatCloudCoverLand?: number;
}
export interface ItemSource {
  Id: string | undefined;
  Geometry: Geometry | undefined;
  Assets?: Record<string, AssetValue>;
  DateTime: Date | undefined;
  Properties?: Properties;
}
export interface ListRasterDataCollectionsInput {
  NextToken?: string;
  MaxResults?: number;
}
export interface ListRasterDataCollectionsOutput {
  RasterDataCollectionSummaries: RasterDataCollectionMetadata[] | undefined;
  NextToken?: string;
}
export interface ListTagsForResourceRequest {
  ResourceArn: string | undefined;
}
export interface ListTagsForResourceResponse {
  Tags?: Record<string, string>;
}
export interface ListVectorEnrichmentJobInput {
  StatusEquals?: string;
  SortOrder?: SortOrder;
  SortBy?: string;
  NextToken?: string;
  MaxResults?: number;
}
export interface ListVectorEnrichmentJobOutputConfig {
  Arn: string | undefined;
  Name: string | undefined;
  Type: VectorEnrichmentJobType | undefined;
  CreationTime: Date | undefined;
  DurationInSeconds: number | undefined;
  Status: VectorEnrichmentJobStatus | undefined;
  Tags?: Record<string, string>;
}
export interface ListVectorEnrichmentJobOutput {
  VectorEnrichmentJobSummaries:
    | ListVectorEnrichmentJobOutputConfig[]
    | undefined;
  NextToken?: string;
}
export interface RasterDataCollectionQueryWithBandFilterInput {
  TimeRangeFilter: TimeRangeFilterInput | undefined;
  AreaOfInterest?: AreaOfInterest;
  PropertyFilters?: PropertyFilters;
  BandFilter?: string[];
}
export interface SearchRasterDataCollectionInput {
  Arn: string | undefined;
  RasterDataCollectionQuery:
    | RasterDataCollectionQueryWithBandFilterInput
    | undefined;
  NextToken?: string;
}
export interface SearchRasterDataCollectionOutput {
  ApproximateResultCount: number | undefined;
  NextToken?: string;
  Items?: ItemSource[];
}
export interface TagResourceRequest {
  ResourceArn: string | undefined;
  Tags: Record<string, string> | undefined;
}
export interface TagResourceResponse {}
export interface UntagResourceRequest {
  ResourceArn: string | undefined;
  TagKeys: string[] | undefined;
}
export interface UntagResourceResponse {}
export interface StartVectorEnrichmentJobInput {
  Name: string | undefined;
  ClientToken?: string;
  KmsKeyId?: string;
  InputConfig: VectorEnrichmentJobInputConfig | undefined;
  JobConfig: VectorEnrichmentJobConfig | undefined;
  ExecutionRoleArn: string | undefined;
  Tags?: Record<string, string>;
}
export interface StartVectorEnrichmentJobOutput {
  Name: string | undefined;
  Arn: string | undefined;
  Type: VectorEnrichmentJobType | undefined;
  CreationTime: Date | undefined;
  DurationInSeconds: number | undefined;
  Status: VectorEnrichmentJobStatus | undefined;
  KmsKeyId?: string;
  InputConfig: VectorEnrichmentJobInputConfig | undefined;
  JobConfig: VectorEnrichmentJobConfig | undefined;
  ExecutionRoleArn: string | undefined;
  Tags?: Record<string, string>;
}
export interface StopVectorEnrichmentJobInput {
  Arn: string | undefined;
}
export interface StopVectorEnrichmentJobOutput {}
export declare const MultiPolygonGeometryInputFilterSensitiveLog: (
  obj: MultiPolygonGeometryInput
) => any;
export declare const PolygonGeometryInputFilterSensitiveLog: (
  obj: PolygonGeometryInput
) => any;
export declare const AreaOfInterestGeometryFilterSensitiveLog: (
  obj: AreaOfInterestGeometry
) => any;
export declare const AreaOfInterestFilterSensitiveLog: (
  obj: AreaOfInterest
) => any;
export declare const TimeRangeFilterOutputFilterSensitiveLog: (
  obj: TimeRangeFilterOutput
) => any;
export declare const RasterDataCollectionQueryOutputFilterSensitiveLog: (
  obj: RasterDataCollectionQueryOutput
) => any;
export declare const InputConfigOutputFilterSensitiveLog: (
  obj: InputConfigOutput
) => any;
export declare const GetEarthObservationJobOutputFilterSensitiveLog: (
  obj: GetEarthObservationJobOutput
) => any;
export declare const GetTileOutputFilterSensitiveLog: (
  obj: GetTileOutput
) => any;
export declare const ListEarthObservationJobInputFilterSensitiveLog: (
  obj: ListEarthObservationJobInput
) => any;
export declare const ListEarthObservationJobOutputFilterSensitiveLog: (
  obj: ListEarthObservationJobOutput
) => any;
export declare const TimeRangeFilterInputFilterSensitiveLog: (
  obj: TimeRangeFilterInput
) => any;
export declare const RasterDataCollectionQueryInputFilterSensitiveLog: (
  obj: RasterDataCollectionQueryInput
) => any;
export declare const InputConfigInputFilterSensitiveLog: (
  obj: InputConfigInput
) => any;
export declare const StartEarthObservationJobInputFilterSensitiveLog: (
  obj: StartEarthObservationJobInput
) => any;
export declare const StartEarthObservationJobOutputFilterSensitiveLog: (
  obj: StartEarthObservationJobOutput
) => any;
export declare const GeometryFilterSensitiveLog: (obj: Geometry) => any;
export declare const ItemSourceFilterSensitiveLog: (obj: ItemSource) => any;
export declare const ListRasterDataCollectionsInputFilterSensitiveLog: (
  obj: ListRasterDataCollectionsInput
) => any;
export declare const ListRasterDataCollectionsOutputFilterSensitiveLog: (
  obj: ListRasterDataCollectionsOutput
) => any;
export declare const ListVectorEnrichmentJobInputFilterSensitiveLog: (
  obj: ListVectorEnrichmentJobInput
) => any;
export declare const ListVectorEnrichmentJobOutputFilterSensitiveLog: (
  obj: ListVectorEnrichmentJobOutput
) => any;
export declare const RasterDataCollectionQueryWithBandFilterInputFilterSensitiveLog: (
  obj: RasterDataCollectionQueryWithBandFilterInput
) => any;
export declare const SearchRasterDataCollectionInputFilterSensitiveLog: (
  obj: SearchRasterDataCollectionInput
) => any;
export declare const SearchRasterDataCollectionOutputFilterSensitiveLog: (
  obj: SearchRasterDataCollectionOutput
) => any;
